package com.ruoyi.system.domain.vo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 人员管理对象 personnel_management
 * 
 * @author ruoyi
 * @date 2024-02-28
 */
public class CameraInfoVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 名称，模糊搜索，最大长度32 */
    private String name;

    /** 区域编号,可以为空;支持根据区域批量查询； */
    private String[] regionIndexCodes;

    /** true时，搜索regionIndexCodes及其子孙区域的资源；
     false时，只搜索 regionIndexCodes的资源；
     isSubRegion不为空，regionIndexCodes也不可为空 */
    private String isSubRegion;

    /** 当前页码 */
    private int pageNo;

    /** 分页大小 */
    private int pageSize;

    /** 权限码集合 */
    private String[] authCodes;

    /** 排序字段,注意：排序字段必须是查询条件，否则返回参数错误 */
    private String orderBy;

    /** 降序升序,降序：desc 升序：asc */
    private String orderType;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String[] getRegionIndexCodes() {
        return regionIndexCodes;
    }

    public void setRegionIndexCodes(String[] regionIndexCodes) {
        this.regionIndexCodes = regionIndexCodes;
    }

    public String getIsSubRegion() {
        return isSubRegion;
    }

    public void setIsSubRegion(String isSubRegion) {
        this.isSubRegion = isSubRegion;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public String[] getAuthCodes() {
        return authCodes;
    }

    public void setAuthCodes(String[] authCodes) {
        this.authCodes = authCodes;
    }

    public String getOrderBy() {
        return orderBy;
    }

    public void setOrderBy(String orderBy) {
        this.orderBy = orderBy;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }
}
